summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-10 20:23:46 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-10 20:23:46 +0100
commitdcfd3e632e279480a2b6e0f6172c8fd595548c13 (patch)
treec5e6627e025a0cbfff8b3a60023825b8b1b60763
parente5af201060ef920b9155b4324bc4d2a832752bff (diff)
inject.sh: re-add mac address confirmation
it just makes the script more user-friendly Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/inject.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 50ade80f..6e8fa320 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -130,6 +130,9 @@ modify_mac()
x_ "$nvm" "$xbmklocal/gbe" setmac "$new_mac"
fx_ newmac x_ find "$tmpromdir" -maxdepth 1 -type f -name "*.rom"
+
+ printf "\nGbE NVM written to '%s':\n" "$archive"
+ x_ "$nvm" "$xbmklocal/gbe" dump | grep -v "bytes read from file" || :
}
newmac()